package org.argosdic.action.help;

import org.argosdic.ArgosDic;
import org.argosdic.action.BaseAction;
import org.argosdic.widget.AboutDialog;
import org.eclipse.swt.widgets.Display;
import org.eclipse.swt.widgets.Event;
import org.eclipse.swt.widgets.Shell;

/**
 * AboutAction.java
 * @author Xavier Cho
 * @version $Revision: 1.3 $ $Date: 2003/10/13 02:49:02 $
 */
public class AboutAction extends BaseAction {

    public AboutAction(ArgosDic application) {
        super(application);
    }

    /**
     * @see org.eclipse.jface.action.IAction#runWithEvent(org.eclipse.swt.widgets.Event)
     */
    public void runWithEvent(Event event) {
        Shell parent = Display.getCurrent().getActiveShell();

        AboutDialog dialog = new AboutDialog(parent);
        dialog.open();
    }
}
